summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Matteo Bernardini2012-09-08 09:29:43 +0200
committer Robby Workman2012-09-09 00:28:32 +0200
commit9ffc83ff03b88ae347327e05890f86f03711c416 (patch)
treef23db2bf132fff4994a16b89ee98721209a4550a /development
parent3b1b4a4c1965f90bc4f73aeecb98df454683e687 (diff)
downloadslackbuilds-9ffc83ff03b88ae347327e05890f86f03711c416.tar.gz
development/judy: Added (sparse dynamic array library).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/judy/README9
-rw-r--r--development/judy/judy.SlackBuild103
-rw-r--r--development/judy/judy.info10
-rw-r--r--development/judy/slack-desc19
4 files changed, 141 insertions, 0 deletions
diff --git a/development/judy/README b/development/judy/README
new file mode 100644
index 0000000000..5c8b5b7133
--- /dev/null
+++ b/development/judy/README
@@ -0,0 +1,9 @@
+judy (sparse dynamic array library)
+
+Judy is a C library that provides a state-of-the-art core technology
+that implements a sparse dynamic array.
+Judy arrays are declared simply with a null pointer.
+A Judy array consumes memory only when it is populated, yet can grow
+to take advantage of all available memory if desired.
+Judy's key benefits are scalability, high performance, and memory
+efficiency.
diff --git a/development/judy/judy.SlackBuild b/development/judy/judy.SlackBuild
new file mode 100644
index 0000000000..748b1a185e
--- /dev/null
+++ b/development/judy/judy.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for judy
+# Copyright Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy, 2012
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=judy
+SRCNAM=Judy
+VERSION=${VERSION:-1.0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="AUTHORS COPYING ChangeLog README"
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/judy/judy.info b/development/judy/judy.info
new file mode 100644
index 0000000000..8e5582ab2c
--- /dev/null
+++ b/development/judy/judy.info
@@ -0,0 +1,10 @@
+PRGNAM="judy"
+VERSION="1.0.5"
+HOMEPAGE="http://judy.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/judy/Judy-1.0.5.tar.gz"
+MD5SUM="115a0d26302676e962ae2f70ec484a54"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/development/judy/slack-desc b/development/judy/slack-desc
new file mode 100644
index 0000000000..677bd974c2
--- /dev/null
+++ b/development/judy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+judy: judy (sparse dynamic array library)
+judy:
+judy: Judy is a C library that provides a state-of-the-art core technology
+judy: that implements a sparse dynamic array.
+judy: Judy arrays are declared simply with a null pointer.
+judy: A Judy array consumes memory only when it is populated, yet can grow
+judy: to take advantage of all available memory if desired.
+judy: Judy's key benefits are scalability, high performance, and memory
+judy: efficiency.
+judy:
+judy: homepage: http://judy.sourceforge.net